Bug 1129201 - adcli --stdin-password cannot authenticate
Summary: adcli --stdin-password cannot authenticate
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: adcli
Version: el6
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Stephen Gallagher
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1134330
TreeView+ depends on / blocked
 
Reported: 2014-08-12 09:50 UTC by Dalibor Pospíšil
Modified: 2019-01-15 19:03 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1134330 (view as bug list)
Environment:
Last Closed: 2019-01-15 19:03:27 UTC


Attachments (Terms of Use)

Description Dalibor Pospíšil 2014-08-12 09:50:18 UTC
Description of problem:
# echo 'mypass' | adcli join --stdin-password my.domain.com
adcli: couldn't connect to my.domain.com: Couldn't authenticate as: Administrator@MY.DOMAIN.COM: Preauthentication failed

While without --stdin-password option and entering the password manually or in expect script it works.

Version-Release number of selected component (if applicable):
adcli-0.7.3-1.el6

Comment 1 Stef Walter 2014-08-14 05:35:24 UTC
Could you try this command:

echo -n 'mypass' | adcli join --stdin-password my.domain.com

Note the '-n' argument. Otherwise echo will send a newline as part of the password.

Comment 2 Dalibor Pospíšil 2014-08-27 09:45:45 UTC
echo -n fixes the problem

I can imagine that you would like to close this bug as it works somehow. This issue exists also on RHEL7 so I will clone this bug as RFE for RHEL7 as it is not intuitive. 'echo "pass" | passwd --stdin user' also works so one could expect that it would work also in adcli.

I would be happy If you fix it also in RHEL6 version of the package.


Note You need to log in before you can comment on or make changes to this bug.